ru.bitel.bgbilling.kernel.script.common.bean

## Class Revision

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.script.common.bean.Revision

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Revision
      extends Id

  Класс-модель "параметры ревизии". Ревизия - это версия объекта, который имеет свойство изменяться (например скрипт). Содержит:1) id(код) объекта ревизии; 2) userId(код) пользователя - автора ревизии; 3) timeRevision время создания ревизии.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Revision()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getTimeRevision()` Возвращает время создания ревизии.
    `int` | `getUserId()` Возвращает userId(код) пользователя - автора ревизии.
    `java.lang.String` | `getUserName()` Возвращает имя пользователя - автора ревизии.
    `void` | `setTimeRevision(java.util.Date timeRevision)` Устанавливает время создания ревизии.
    `void` | `setUserId(int userId)` Устанавливает userId(код) пользователя - автора ревизии.
    `void` | `setUserName(java.lang.String userName)` Устанавливает имя пользователя - автора ревизии.

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Revision

          public Revision()

  - ### Method Detail

    - #### getUserId

          public int getUserId()

      Возвращает userId(код) пользователя - автора ревизии.
      Returns:
        userId.

    - #### setUserId

          public void setUserId(int userId)

      Устанавливает userId(код) пользователя - автора ревизии.
      Parameters:
        `userId` -

    - #### getUserName

          public java.lang.String getUserName()

      Возвращает имя пользователя - автора ревизии.
      Returns:
        userName(имя).

    - #### setUserName

          public void setUserName(java.lang.String userName)

      Устанавливает имя пользователя - автора ревизии.
      Parameters:
        `userName` -

    - #### getTimeRevision

          public java.util.Date getTimeRevision()

      Возвращает время создания ревизии.
      Returns:
        время создания ревизии.

    - #### setTimeRevision

          public void setTimeRevision(java.util.Date timeRevision)

      Устанавливает время создания ревизии.
      Parameters:
        `timeRevision` -